Subject: Re: bug#78945: 30.1; C-x 4 4 and C-x 5 5 do not work with `dired-mouse-find-file'

From: Eli Zaretskii <[email-masked]>
Date: Thu, 10 Jul 2025 10:29:40 +0300

> From: Juri Linkov <[email-masked]>
> Cc: Stefan Monnier <[email-masked]>,  [email-masked],
>   [email-masked]
> Date: Thu, 10 Jul 2025 09:58:08 +0300
> 
> >> > Does this mean any mouse-click command will cause the next command
> >> > also be affected by "C-x 4 4" and friends?
> >> 
> >> Sometimes, yes.  But only when the mouse-click command did not itself
> >> use `display-buffer`.
> >
> > I wonder how we could document this in user-facing terms, so that
> > users would know what to expect from using these prefixes.  Any ideas
> > or suggestions?
> 
> I already documented this.

I guess you mean the below?

  In case of multiple consecutive mouse events such as <down-mouse-1>,
  a mouse release event <mouse-1>, <double-mouse-1>, <triple-mouse-1>
  all bound commands are handled until one of them displays a buffer.

If so, I've seen this, thanks.  But (a) it is IMO too terse to make
the effect clear, and (b) the manuals don't document these prefixes at
all AFAICS (I saw nothing in NEWS, either).